Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.access.jdbc
Class BindNotEqualDirective

    java.lang.Object
      org.apache.velocity.runtime.directive.Directive
          org.apache.cayenne.access.jdbc.BindDirective
              org.apache.cayenne.access.jdbc.BindNotEqualDirective

All Implemented Interfaces:
  java.lang.Cloneable, org.apache.velocity.runtime.directive.DirectiveConstants

    public class BindNotEqualDirective

extends BindDirective

A custom Velocity directive to create a PreparedStatement parameter text for "<>?". If null value is encountered, generated text will look like "IS NOT NULL". Usage in Velocity template is "WHERE SOME_COLUMN #bindNotEqual($xyz)".

Since:
  1.1
Author:
  Andrei Adamchik

Field Summary

Fields inherited from class org.apache.velocity.runtime.directive.Directive
`rsvc`

Fields inherited from interface org.apache.velocity.runtime.directive.DirectiveConstants
`BLOCK, LINE`

Constructor Summary
`BindNotEqualDirective()`

Method Summary
`java.lang.String` | `getName()`
`protected void` | `render(org.apache.velocity.context.InternalContextAdapter context, java.io.Writer writer, ParameterBinding binding)`

Methods inherited from class org.apache.cayenne.access.jdbc.BindDirective
`bind, getChild, getType, render`

Methods inherited from class org.apache.velocity.runtime.directive.Directive
`getColumn, getLine, init, setLocation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BindNotEqualDirective

    public BindNotEqualDirective()

Method Detail

### getName

    public java.lang.String getName()

  Overrides:
    `getName` in class `BindDirective`

### render

    protected void render(org.apache.velocity.context.InternalContextAdapter context,
                          java.io.Writer writer,
                          ParameterBinding binding)
                   throws java.io.IOException

  Overrides:
    `render` in class `BindDirective`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 Apache.org All Rights Reserved.